<div class="notifications-container">
  <h1>{{'notifications.header'|transloco}}</h1>
  <ng-container *ngrxLet="notifications$; let notifications">
    <app-notification-item
      *ngFor="let item of notifications"
      [notification]="item"
      (navigateTo)="navigateTo($event)"
      (deleteItem)="deleteItem($event)"></app-notification-item>
  </ng-container>
  <ng-container *ngrxLet="notifications$; let n">
    <mat-card
      appearance="outlined"
      *ngIf="n && n.length <= 0">
      <mat-card-content>
        <div class="empty">{{'notifications.no_items'|transloco}}</div>
      </mat-card-content>
    </mat-card>
  </ng-container>
</div>
